> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.pay4power.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.pay4power.com/_mcp/server.

# Vend Transaction

POST https://p4p-core-bill-payments-service.dev.payinvert.com/api/v2.1/b2b/b2b/power/vend
Content-Type: application/json

Completes an electricity purchase and returns the vending result, including the generated token or transaction outcome.

Reference: https://docs.pay4power.com/electricity/vend-transaction

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /b2b/power/vend:
    post:
      operationId: vend-transaction
      summary: Vend Transaction
      description: >-
        Completes an electricity purchase and returns the vending result,
        including the generated token or transaction outcome.
      tags:
        - subpackage_electricity
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response with status 200
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  description: Any type
        '202':
          description: Transaction In-Progress
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  description: Any type
        '417':
          description: Transaction Failed
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  description: Any type
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                description: Any type
servers:
  - url: https://p4p-core-bill-payments-service.dev.payinvert.com/api/v2.1/b2b
    description: Default
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

```

## Examples

### Transaction Success

**Request**

```json
{
  "verificationReference": "A812BEF6581511F196222200317DA8F1",
  "clientTransactionReference": "123456789211214"
}
```

**Response**

```json
{
  "success": true,
  "message": "Transaction successful",
  "errors": null,
  "statusCode": 200,
  "correlationId": "44a7877f-baa1-4d6a-a713-7937bfde60e8",
  "data": {
    "status": "SUCCESS",
    "amount": 100,
    "token": "5170-7536-2887-4725",
    "units": "4.69 kWh",
    "meterCategory": "MD",
    "kct1": "1234567890123",
    "kct2": "1234567890123",
    "receiver": "1111111111111",
    "meterType": "PREPAID",
    "transactionId": "ELE-0000000000000242",
    "clientTransactionReference": "42FB39FB1EB811F1A35EF6C3EF632280",
    "transactionDate": "2026-03-13T09:40:56.9594278",
    "customerName": "Avoseh Emmanuel",
    "customerAddress": "Turbo Energy, Lagos State",
    "tariffDescription": "R2 - Residential",
    "provider": "Abuja Electricity Distribution Company",
    "outstandingDebt": "0",
    "commission": {
      "commissionAmount": 1.5,
      "commissionPercentage": "1.50",
      "commissionCap": 1500,
      "isCustomRate": false
    }
  }
}
```

### Example 2

**Request**

```json
{
  "string": {}
}
```

**Response**

```json
{
  "string": {}
}
```